# IO_AnisotropicLighting.cpp File Reference

`#include <osgFX/AnisotropicLighting>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_AnisotropicLighting.cpp:

## Functions

bool | AnisotropicLighting_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | AnisotropicLighting_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | AnisotropicLighting_Proxy (new osgFX::AnisotropicLighting,"osgFX::AnisotropicLighting","Object Node Group osgFX::Effect osgFX::AnisotropicLighting", AnisotropicLighting_readLocalData, AnisotropicLighting_writeLocalData)

## Function Documentation

bool AnisotropicLighting_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool AnisotropicLighting_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy AnisotropicLighting_Proxy(new osgFX::AnisotropicLighting,"osgFX::AnisotropicLighting","Object Node Group osgFX::Effect osgFX::AnisotropicLighting", AnisotropicLighting_readLocalData, AnisotropicLighting_writeLocalData)